import request from '@/utils/axios.ts';

// --------- 进仓管理 -----------
// 进仓 - 列表
export function warehouseInList(data) {
    return request({
        url: '/warehouseIn/list',
        method: 'POST',
        data,
    });
}

// 进仓 - 新增
export function warehouseInAdd(data) {
    return request({
        url: '/warehouseIn/add',
        method: 'POST',
        data,
    });
}

// 进仓 - 编辑
export function warehouseInEdit(data) {
    return request({
        url: '/warehouseIn/edit',
        method: 'POST',
        data,
    });
}

// 进仓 - 删除
export function warehouseInDel(id) {
    return request({
        url: `/warehouseIn/delete?id=${id}`,
        method: 'GET',
    });
}

// 进仓 - 详情
export function warehouseInDetail(id) {
    return request({
        url: `/warehouseIn/detail?id=${id}`,
        method: 'GET',
    });
}

